<?xml version = "1.0" encoding = "UTF-8"?>
<!--Generated by XML Authority. Conforms to w3c http://www.w3.org/2000/10/XMLSchema-->
<xsd:schema xmlns:xsd = "http://www.w3.org/2000/10/XMLSchema">
	<xsd:element name = "table">
		<xsd:complexType>
			<xsd:choice minOccurs = "0" maxOccurs = "unbounded">
				<xsd:element ref = "attrib"/>
				<xsd:element ref = "column"/>
				<xsd:element ref = "table"/>
			</xsd:choice>
			<xsd:attribute name = "name" type = "xsd:string"/>
			<xsd:attribute name = "item" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "src" type = "xsd:string"/>
			<xsd:attribute name = "key" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "join" type = "xsd:string"/>
			<xsd:attribute name = "fkey" type = "xsd:string"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "attrib">
		<xsd:complexType>
			<xsd:simpleContent>
				<xsd:extension base = "xsd:string">
					<xsd:attribute name = "name" use = "required" type = "xsd:string"/>
					<xsd:attribute name = "src" type = "xsd:string"/>
					<xsd:attribute name = "required" use = "default" value = "true" type = "xsd:boolean"/>
				</xsd:extension>
			</xsd:simpleContent>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "column">
		<xsd:complexType>
			<xsd:simpleContent>
				<xsd:extension base = "xsd:string">
					<xsd:attribute name = "name" use = "required" type = "xsd:string"/>
					<xsd:attribute name = "src" type = "xsd:string"/>
					<xsd:attribute name = "required" use = "default" value = "true" type = "xsd:boolean"/>
				</xsd:extension>
			</xsd:simpleContent>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>